This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 470090 - no warning beeps when battery is low
no warning beeps when battery is low
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-11-05 13:09 EST by Máirín Duffy
Modified: 2010-04-22 18:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-power-manager-2.30.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2008-11-05 13:09:19 EST
Description of problem:

I don't know if this is a gnome power manager issue or if it's a hardware / driver / kernel issue, but i figured gnome power manager was a logical place to file this to start.

I recently upgraded from a Thinkpad T41 to a Thinkpad X61. One big difference I've noticed between the two is that the T41 would beep if it was about to die and the x61 does not:

- T41: I had Fedora 9 on the T41 and when the battery was low, say at 5%, the T41 would beep to let me know the battery was going to die. While the beep was annoying, it did give me enough time to scramble and get the power cable ready to plug in.

- X61: With the X61 in F10/Rawhide, there is no beep at all. I didn't realize how much I relied on the beep until it stopped working. I don't notice the icon at all, so the machine has shut off on me while I was actively using it at least 4 times since I got it, and I've lost quite a bit of work.

I would really like, at a minimum, for the beeps to work. If there are any logs or hardware testing I can do to help figure out why they aren't happening, I'd be happy to help. 

Even better might be some more noticeable visual indication of the battery dying. Maybe a nice overlay on the screen or maybe the gnome-power-manager icon blinking might grab my attention enough (I don't think it blinks now, I never notice it unless I explicitly think to look for it.)


Version-Release number of selected component (if applicable):
gnome-power-manager-2.24.1-2.fc10.x86_64
kernel-2.6.27.4-68.fc10.x86_64

How reproducible:
Very
Comment 1 Bug Zapper 2008-11-25 23:49:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Dominik 'Rathann' Mierzejewski 2009-01-26 09:52:40 EST
Same thing is happening to me on i686 (EeePC 901). It seems related to bug 445927 and bug 448362. Also, gnome-power-manager seems to be ignoring the setting to hibernate/shutdown when batter is critically low (a reprise of bug 211352, perhaps?). I wonder if other netbook owners are seeing this, too.
Comment 3 Richard Hughes 2009-04-15 11:56:04 EDT
Silly question... are the speakers muted?
Comment 4 Dominik 'Rathann' Mierzejewski 2009-04-25 07:42:40 EDT
No, they aren't. bash is beeping happily when tab-completing.
Comment 5 Máirín Duffy 2009-04-29 09:33:56 EDT
yeh they aren't muted because i can play music and such.
Comment 6 Richard Hughes 2009-08-20 07:33:26 EDT
Still happens with F11?
Comment 7 Dominik 'Rathann' Mierzejewski 2009-08-22 11:49:10 EDT
I have another laptop (a 15" Toshiba A300D) with F11 on it and it doesn't always happen there. When it does happen and I manage to connect the AC adapter before the battery runs out, g-p-m finally notices that the battery is critically low and THEN shuts down the system, which is quite funny and annoying at the same time. I haven't seen this behaviour for a while now, so it might've been fixed by some g-p-m update in the F11 cycle. Still happens (always) on F10 though.
Comment 8 Máirín Duffy 2009-08-24 10:04:05 EDT
Hi Richard, yes, there are still no beeps in F11.
Comment 9 Bug Zapper 2009-11-18 03:45:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Máirín Duffy 2009-11-18 09:31:11 EST
Moving this bug to F11 since it is still an F11 problem. If it's an F12 problem I'll try to remember to come back and note it as such.
Comment 11 Richard Hughes 2010-03-04 09:44:59 EST
commit 8e6f8c4494073fa4fc5975bde4d45890799e0050
Author: Pramod Dematagoda <pmd.lotr.gandalf@gmail.com>
Date:   Thu Mar 4 14:43:18 2010 +0000

    Play a sound loop if the charge of a laptop battery/ups reaches a critical level. Fixes rh#470090
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>
Comment 12 Fedora Update System 2010-03-29 07:24:01 EDT
gnome-power-manager-2.30.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-power-manager-2.30.0-1.fc13
Comment 13 Dominik 'Rathann' Mierzejewski 2010-03-29 18:25:24 EDT
Excuse me? This bug was reported against F-11, therefore an update for F-13 must not close it, because it's irrelevant.
Comment 14 Richard Hughes 2010-03-30 03:55:04 EDT
We can't fix this in F12 or F11 as those are in feature freeze. This is a new feature.
Comment 15 Dominik 'Rathann' Mierzejewski 2010-03-30 13:38:09 EDT
It's not a new feature, it's a regression fix. If you go back to the original report by Máirín, you will notice it said that between Fedora 9 and Fedora 10, the feature disappeared, so don't tell me you're adding a new feature now, as it should've been there all along.

Even if this were a new feature, there's no such thing as "feature freeze" for F-11 or F-12. I don't know where you got this idea.
Comment 16 Richard Hughes 2010-03-31 05:36:39 EDT
(In reply to comment #15)
> It's not a new feature, it's a regression fix. 

Wrong. Máirín migrated from a Thinkpad T41 to a Thinkpad X61. The former has BIOS support for low battery beeping, the latter does not. For the latter we have to add emulation in g-p-m to actively play back sounds rather than letting the BIOS do it.

> If you go back to the original
> report by Máirín, you will notice it said that between Fedora 9 and Fedora 10,
> the feature disappeared, so don't tell me you're adding a new feature now, as
> it should've been there all along.

Except that she changed the hardware to a model with a different BIOS featureset.

> Even if this were a new feature, there's no such thing as "feature freeze" for
> F-11 or F-12. I don't know where you got this idea.    

Well, wrong again. GNOME upstream has a feature freeze, and F-11 and F-12 inherits packages from that. I'm not in the habit of adding large patches to add functionality to releases that are about to be come obsolete, or to add features to a release that's about to be superseded by the upstream release that contains this new feature. It's a waste of my time.

If you want to fix this on F11, then please take the source and try to backport the feature. I wish you good luck.
Comment 17 Fedora Update System 2010-04-22 18:45:23 EDT
gnome-power-manager-2.30.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.